Read pantry presence
const url = 'http://127.0.0.1:8080/api/v1/pantry';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/api/v1/pantry \ --header 'Authorization: Bearer <token>'Library-shared hints only. Presence and approximate amounts never imply sufficient stock, change shopping selections, or travel in SREF.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
object
Examplegenerated
[ { "amount": "example", "id": "example", "location": "example", "name": "example", "note": "example", "revision": 1, "semantic_id": "example", "unit": "example", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "example" }]No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).
object
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}default
Section titled “default”Error
object
Stable application error code; clients may also use the problem type suffix.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
Structured context for the stable error code.
object
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
object
object
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}